> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/audit-logs/get-audit-logs",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get audit logs

> Get Audit logs for the last Day/Week.

- Please note that this endpoint is available only for API keys with Admin/Non Signing Admin permissions.
Endpoint Permission: Admin, Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /management/audit_logs
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /management/audit_logs:
    get:
      tags:
        - Audit Logs
      summary: Get audit logs
      description: >-
        Get Audit logs for the last Day/Week.


        - Please note that this endpoint is available only for API keys with
        Admin/Non Signing Admin permissions.

        Endpoint Permission: Admin, Non-Signing Admin.
      operationId: getAuditLogs
      parameters:
        - in: query
          name: timePeriod
          required: false
          description: The last time period to fetch audit logs
          schema:
            type: string
            enum:
              - DAY
              - WEEK
        - in: query
          name: cursor
          required: false
          description: The next id to start fetch audit logs from
          schema:
            type: string
      responses:
        '200':
          description: Audit logs from requested time period
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAuditLogsResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<GetAuditLogsResponse>> =
            fireblocks.auditLogs.getAuditLogs(auditLogsApiGetAuditLogsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetAuditLogsResponse>> response =
            fireblocks.auditLogs().getAuditLogs(timePeriod, cursor);
        - lang: Python
          source: >-
            response = fireblocks.audit_logs.get_audit_logs(time_period,
            cursor);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    GetAuditLogsResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AuditLogsData'
        cursor:
          nullable: true
          type: string
          description: The next id to start fetch audit logs from
        total:
          type: number
          description: The total number of audit logs
    AuditLogsData:
      type: array
      items:
        $ref: '#/components/schemas/AuditLogData'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    AuditLogData:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the audit log
        timestamp:
          type: number
          description: The timestamp of the audit log
        createdAt:
          type: number
          description: The timestamp of the audit log creation
        user:
          type: string
          description: The user who performed the action
        subject:
          type: string
          description: The subject of the action
        event:
          type: string
          description: The event that was performed
        tenantId:
          type: string
          description: The tenant ID of the audit log
        userId:
          type: string
          description: The user ID of the audit log
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````